Package com.documentum.fc.common

# Class MipLabelServiceImpl

java.lang.Object
com.documentum.fc.common.MipLabelServiceImpl

All Implemented Interfaces:
  `IMipLabelService`

public class MipLabelServiceImpl extends Object implements IMipLabelService

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MipLabelServiceImpl(com.documentum.fc.client.impl.session.ISession session)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isMipProtectionSettingPresent()`
  This method isMipProtectionSettingPresent checks whether the MIP protection setting is present in CS session Cache and returns true if it is found; otherwise, it returns false.
  `List<LabelInfo>`
  `listMipLabels()`
  listMipLabels methos is resposible for retruning the label from server
  `boolean`
  `refreshMipCache()`
  Refreshes the Microsoft Information Protection (MIP) cache.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MipLabelServiceImpl

    public MipLabelServiceImpl(com.documentum.fc.client.impl.session.ISession session)

- ## Method Details

  - ### listMipLabels

    public List<LabelInfo> listMipLabels() throws DfException
    Description copied from interface: `IMipLabelService`
    listMipLabels methos is resposible for retruning the label from server
    Specified by:
      `listMipLabels` in interface `IMipLabelService`
    Returns:
      listMipLabels in array of LabelInfo
    Throws:
      `DfException`

  - ### refreshMipCache

    public boolean refreshMipCache() throws DfException
    Description copied from interface: `IMipLabelService`
    Refreshes the Microsoft Information Protection (MIP) cache. This method attempts to refresh the MIP cache, which may contain classification labels, policies, or protection templates used for labeling and securing documents. It ensures that the latest data from the MIP server is available for application usage.
    Specified by:
      `refreshMipCache` in interface `IMipLabelService`
    Returns:
      true if the cache refresh was successful; false otherwise.
    Throws:
      `DfException` - if there is an issue while refreshing the MIP cache, such as communication errors with the MIP server or other runtime exceptions.

  - ### isMipProtectionSettingPresent

    public boolean isMipProtectionSettingPresent() throws DfException
    Description copied from interface: `IMipLabelService`
    This method isMipProtectionSettingPresent checks whether the MIP protection setting is present in CS session Cache and returns true if it is found; otherwise, it returns false. It may throw a DfException in case of any errors during execution.
    Specified by:
      `isMipProtectionSettingPresent` in interface `IMipLabelService`
    Returns:
    Throws:
      `DfException`